RootLog4jConfig (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.log4j
[Groovy] Class RootLog4jConfig

    java.lang.Object
      org.codehaus.groovy.grails.plugins.log4j.RootLog4jConfig

    class RootLog4jConfig

Property Summary
`Log4jConfig` | `config`
`org.apache.log4j.Logger` | `root`

Constructor Summary
`RootLog4jConfig(java.lang.Object root, java.lang.Object config)`

Method Summary
`java.lang.Object` | `all(java.lang.Object[] appenders = null)`
`java.lang.Object` | `debug(java.lang.Object[] appenders = null)`
`java.lang.Object` | `error(java.lang.Object[] appenders = null)`
`java.lang.Object` | `fatal(java.lang.Object[] appenders = null)`
`java.lang.Object` | `info(java.lang.Object[] appenders = null)`
`java.lang.Object` | `off(java.lang.Object[] appenders = null)`
`void` | `setProperty(java.lang.String s, java.lang.Object o)`
`java.lang.Object` | `trace(java.lang.Object[] appenders = null)`
`java.lang.Object` | `warn(java.lang.Object[] appenders = null)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### config

    Log4jConfig config

### root

    org.apache.log4j.Logger root

Constructor Detail

### RootLog4jConfig

    RootLog4jConfig(java.lang.Object root, java.lang.Object config)

Method Detail

### all

    java.lang.Object all(java.lang.Object[] appenders = null)

### debug

    java.lang.Object debug(java.lang.Object[] appenders = null)

### error

    java.lang.Object error(java.lang.Object[] appenders = null)

### fatal

    java.lang.Object fatal(java.lang.Object[] appenders = null)

### info

    java.lang.Object info(java.lang.Object[] appenders = null)

### off

    java.lang.Object off(java.lang.Object[] appenders = null)

### setProperty

    void setProperty(java.lang.String s, java.lang.Object o)

### trace

    java.lang.Object trace(java.lang.Object[] appenders = null)

### warn

    java.lang.Object warn(java.lang.Object[] appenders = null)

Groovy Documentation